PANDA_FREEOBJECT(3)

NAME
panda_freeobject - free the memory used by a previously created object

SYNOPSIS
 #include<panda/constants.h>
 #include<panda/functions.h>
 void panda_freeobject (panda_pdf *output, panda_object *);

DESCRIPTION

PANDA INTERNAL. This function call frees the memory used by an object. It is used during the cleanup process prior to finishing closing a PDF document. Even if a user of the API has added object types to their code, they should not have to call this function, as their objects should be added to the object tree via panda_addchild() to ensure they are written to disc by panda_writeobject() having been traversed by panda_traverseobjects() at PDF close time.

RETURNS

None

EXAMPLE

#include<panda/constants.h> #include<panda/functions.h> panda_pdf *document; panda_object *obj; panda_init(); document = panda_open("filename.pdf", "w"); obj = panda_newobject(document, panda_object_normal); panda_freeobject(document, obj)l

SEE ALSO

panda_newobject, panda_writeobject, panda_traverseobjects, panda_addchild

VERSION

This documentation was generated for Panda 0.4.2 by autodocbook (http://www.stillhq.com).

AUTHOR

Panda is under development by Michael Still (mikal@stillhq.com). All code is Copyright Michael Still 2000 and 2001, and is released under the GNU GPL. Code submissions are welcomed. Contact Michael at the address above if you have something you would like to contribute.

BUGS

There are no known bugs in Panda. If you find one, please contact mikal@stillhq.com and let me know.